# WOK
TKWOK
WOKernel

# WOKernel_DataMapOfHAsciiStringOfWorkshop Class Reference

`#include <WOKernel_DataMapOfHAsciiStringOfWorkshop.hxx>`

Inheritance diagram for WOKernel_DataMapOfHAsciiStringOfWorkshop:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_DataMapOfHAsciiStringOfWorkshop (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfWorkshop & | Assign (const WOKernel_DataMapOfHAsciiStringOfWorkshop &Other)
WOKernel_DataMapOfHAsciiStringOfWorkshop & | operator= (const WOKernel_DataMapOfHAsciiStringOfWorkshop &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKernel_DataMapOfHAsciiStringOfWorkshop ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const Handle(WOKernel_Workshop)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const Handle_WOKernel_Workshop & | Find (const Handle(TCollection_HAsciiString)&K) const
const Handle_WOKernel_Workshop & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Handle_WOKernel_Workshop & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
Handle_WOKernel_Workshop & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | WOKernel_DataMapOfHAsciiStringOfWorkshop (const WOKernel_DataMapOfHAsciiStringOfWorkshop &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfWorkshop::WOKernel_DataMapOfHAsciiStringOfWorkshop | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKernel_DataMapOfHAsciiStringOfWorkshop::~WOKernel_DataMapOfHAsciiStringOfWorkshop | ( |  | ) | `[inline]`

Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfWorkshop::WOKernel_DataMapOfHAsciiStringOfWorkshop | ( | const WOKernel_DataMapOfHAsciiStringOfWorkshop & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfWorkshop& WOKernel_DataMapOfHAsciiStringOfWorkshop::Assign | ( | const WOKernel_DataMapOfHAsciiStringOfWorkshop & | Other | ) |

Standard_EXPORT Standard_Boolean WOKernel_DataMapOfHAsciiStringOfWorkshop::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const Handle(WOKernel_Workshop)& | I
| ) |

Standard_EXPORT Handle_WOKernel_Workshop& WOKernel_DataMapOfHAsciiStringOfWorkshop::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void WOKernel_DataMapOfHAsciiStringOfWorkshop::Clear | ( |  | ) |

Standard_EXPORT const Handle_WOKernel_Workshop& WOKernel_DataMapOfHAsciiStringOfWorkshop::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean WOKernel_DataMapOfHAsciiStringOfWorkshop::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void WOKernel_DataMapOfHAsciiStringOfWorkshop::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKernel_DataMapOfHAsciiStringOfWorkshop::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKernel_DataMapOfHAsciiStringOfWorkshop::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_WOKernel_Workshop& WOKernel_DataMapOfHAsciiStringOfWorkshop::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const Handle_WOKernel_Workshop& WOKernel_DataMapOfHAsciiStringOfWorkshop::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

WOKernel_DataMapOfHAsciiStringOfWorkshop& WOKernel_DataMapOfHAsciiStringOfWorkshop::operator= | ( | const WOKernel_DataMapOfHAsciiStringOfWorkshop & | Other | ) | `[inline]`

Standard_EXPORT void WOKernel_DataMapOfHAsciiStringOfWorkshop::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKernel_DataMapOfHAsciiStringOfWorkshop::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- WOKernel_DataMapOfHAsciiStringOfWorkshop.hxx